Bug 1862537 - update info alert text when VM is running [NEEDINFO]
Summary: update info alert text when VM is running
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Ido Rosenzwig
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-31 16:18 UTC by Matt
Modified: 2020-10-27 16:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:21:54 UTC
Target Upstream Version:
yzamir: needinfo? (mcarleto)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6222 0 None closed Bug 1862537: Change pending changes alert when making a change 2020-09-09 17:54:05 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:22:21 UTC

Description Matt 2020-07-31 16:18:31 UTC
Description of problem:
Currently if the VM is running and you look at the CD-ROM, flavor, and boot order modals there is an info alert that states there is pending changes. This is misleading b/c there are no changes made yet.

It should either be reworded to state

Restart required to apply changes
If you make changes to the following settings you will need to restart the virtual machine in order for them to be applied

We could also disable the save and restart to better enforce this message until a change has been made.

Comment 1 Yaacov Zamir 2020-08-05 16:03:23 UTC
Note:
Current design (WIP) does not specify this text/warning changes:
https://github.com/openshift/openshift-origin-design/blob/7bec0905933f99ccb4d21e52893923baec750b09/designs/virtualization/4.6/Next-run-configuration/Next-run-configuration.md

p.s.

IMHO it should be:
VM is currently running, restart is required to apply changes
If you make changes to the following settings you will need to restart the virtual machine in order for them to be applied

and not just
Restart required to apply changes
If you make changes to the following settings you will need to restart the virtual machine in order for them to be applied

because I want to know why the restart is needed.

@Matt WDYT ?

Comment 5 errata-xmlrpc 2020-10-27 16:21:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.